Package org.stianloader.micromixin.transform.internal.util.smap

## Class VendorSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.VendorSection

    public class VendorSection
    extends AbstractSMAPSection

### Constructor Summary

Constructors
`VendorSection​(java.lang.String vendorId)` Constructor for a new `VendorSection` with a given vendorId string.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VendorSection

    public VendorSection​(@NotNull
                         java.lang.String vendorId)

Constructor for a new `VendorSection` with a given vendorId string. The vendorInfo attribute is left unspecified.

Parameters:
  `vendorId` - The vendor Id. Must follow the package naming conventions as per JSR-45.

### Method Detail

#### pushContents

    @NotNull
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`